Bug 814483 - RFE: Hide menu bar to get more space for virtual screen
RFE: Hide menu bar to get more space for virtual screen
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: virt-viewer (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Berrange
Depends On:
  Show dependency treegraph
Reported: 2012-04-19 20:52 EDT by Tom Horsley
Modified: 2014-09-07 18:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tom Horsley 2012-04-19 20:52:42 EDT
Description of problem:

A virt-viewer (or remote-viewer) window uses space for the menu bar that would be more useful for the actual virtual machine window. This is most annoying for me on my 1920x1080 display since a 1280x1024 virtual machine won't quite fit (but it would fit if I could get back the menu bar space).

It would be really handy if there was a way to hide the menu bar, and even handier if there was a command line option to go with it so I could start with the menu bar hidden.

The remote-viewer program could also benefit from having a -title command line option I could use to give the window a title containing the name of the virtual machine (something I happen to know when I start remote-viewer which I could provide today without waiting for some hypothetical protocol extension to provide the VM name).

Version-Release number of selected component (if applicable):

How reproducible:
The menu bar never goes away :-).

Steps to Reproduce:
1.see above
Actual results:
window too cluttered with space I'd like to use for other things

Expected results:
all my screen space are belong to me

Additional info:

This bug originated from the thread in bug 811384.
Comment 1 Tom Horsley 2013-01-19 22:21:48 EST
Just bumping this to fedora 18 since it still seems to have no way to hide the menu bar.
Comment 2 Cole Robinson 2013-12-16 14:19:07 EST
Since this is an RFE, moving to the upstream tracker

Note You need to log in before you can comment on or make changes to this bug.